mconv_decode_stream(3m17n)

NAME
mconv_decode_stream - Decode a stream input based on a coding system.

SYNOPSIS
MText* mconv_decode_stream (MSymbol name, FILE * fp)

DESCRIPTION
Decode a stream input based on a coding system.

The mconv_decode_stream() function decodes the entire byte sequence read in from stream fp based on the coding system name. A code converter for decoding is automatically created and freed.

RETURN VALUE

    If the operation was successful, mconv_decode_stream() returns the resulting M-text. Otherwise it returns NULL and assigns an error code to the external variable merror_code.

ERRORS

    MERROR_IO, MERROR_CODING

SEE ALSO

    mconv_decode(), mconv_decode_buffer()

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.